#!/bin/bash -e
###############################################################################

set -o pipefail

###############################################################################

hash rm
hash tar
hash curl
hash makepkg

###############################################################################

[ -n "${1}" ]

###############################################################################

AUR_HOST="${AUR_HOST:-"aur.archlinux.org"}"
AUR_PACKAGE="${1}"
AUR_PROTO="${AUR_PROTO:-"https"}"

###############################################################################

curl -LO "${AUR_PROTO}://${AUR_HOST}/cgit/aur.git/snapshot/${AUR_PACKAGE}.tar.gz"
tar xvzf "${AUR_PACKAGE}.tar.gz"
rm -fv "${AUR_PACKAGE}.tar.gz"

###############################################################################

cd "${AUR_PACKAGE}"

###############################################################################

makepkg --install --syncdeps --noconfirm --asdeps

###############################################################################

cd ..

###############################################################################
